
/**********************************************************************
Svenskalag blogg
**********************************************************************/

a.blogg-cat-btn {
    border-radius: 100px;
    padding: 8px 14px;
    border: 1px solid #ddd;
    font-size: 14px;
    color: #888;
    display: inline-block;
    margin-bottom: 7px;
    font-weight: 500;
}

    a.blogg-cat-btn:hover {
        border-color: #888;
        color: #888;
    }

    a.blogg-cat-btn.active {
        border-color: #777;
    }





/* Headlines */
.post-details h2,
.blog-card h2 {
    font-size: 18px;
    font-weight: 700;
}

.post-details h3 {
    font-size: 14px;
    font-weight: 700;
}



/* Default panel design */
.blog-card {
    margin-bottom: 25px;
    padding: 0px 30px 30px 30px;
    border: solid 1px #ddd;
    border-radius: 4px;
    background: #fff;
    box-shadow: 0 1px 3px rgba(0,0,0,0.05);
}




/* Blog post list
**************************************************************/


/* Post item */
.post-list .post-item {
    padding: 0;
    display: block;
    vertical-align: middle;
    position: relative;
    overflow: hidden;
}

    .post-list .post-item a {
        display: block;
        color: #555;
    }
    /* Post thumbnail */
    .post-list .post-item figure {
        display: table-cell;
        width: 260px;
        overflow: hidden;
        background: #eee;
        border-right: solid 1px #ddd;
        text-align: center;
        vertical-align: middle;
        position: relative;
    }
    /* No post image */
    .post-list .post-item .post-image-blank {
        line-height: 130px;
    }

        .post-list .post-item .post-image-blank img {
            max-width: 150px;
        }

    /* Scale up to hide images with prerenderd borders and shadows. */
    .post-list .post-item figure img {
        width: 260px;
        max-width: 100%;
        -webkit-backface-visibility: hidden;
    }

    /* Title */
    .post-list .post-item .post-title {
        display: table-cell; /* enable vertical alignment */
        vertical-align: middle;
        padding: 7px 50px 11px 20px;
    }

#svlag-blog .post-list .post-item h1 {
    font-size: 24px;
    margin-bottom: 0;
    margin-top: 3px;
}

#svlag-blog .category-group {
    font-size: 14px;
}



/* Post item hover effects */
.post-list .post-item a:hover {
    color: #298ccd;
    /*background-color:#298ccd10;*/
}

    .post-list .post-item a:hover span {
        color: #298ccd;
    }
/* Arrow > */
.post-list .post-title:after {
    content: '\f105';
    display: block;
    color: #888;
    font-family: FontAwesome;
    font-size: 50px;
    position: absolute;
    top: 50%;
    right: 25px;
    margin-top: -40px;
    opacity: 0.4;
    transition: all 0.2s ease;
}

.post-list .post-item:hover .post-title:after {
    right: 15px;
    opacity: 1;
}



/* Blog post
**************************************************************/
.post {
    margin-bottom: 30px;
    margin-top:50px;
}

    .post h1 {
        margin-bottom: 5px;
        font-size:30px;
        margin-top:0px;
    }
/* Post Meta: Date + # comments */
.post-meta {
    margin-bottom: 0px;
    font-size: 15px;
    margin-top: 3px;
    color: #999;
}

    .post-meta span {
        margin-right: 20px;
    }

/* Post Image */
.post .post-image {
    margin: 0px -30px 30px -30px;
    cursor: pointer;
}

    .post .post-image .crop {
        width: 100%;
        overflow: hidden;
    }

    .post .post-image img {
        width: 100%;
        border-radius: 4px 4px 0px 0px;
        border-bottom: solid 1px rgba(0, 0, 0, 0.1);
        -ms-interpolation-mode: bicubic;
    }
    /* Image caption */
    .post .post-image em {
        display: block;
        padding: 10px 30px;
        color: #888;
        background-color: #EEE;
    }

/* Post Text */
.post-text {
    line-height: 1.6em;
    margin: 20px 0px 30px;
    font-size: 16px;
}

    .post-text p {
        margin-bottom: 0px;
    }
    /* Should be 1.5em if html is clean*/
    .post-text a {
        text-decoration: underline;
    }


/* Comments
**************************************************************/
.post-feedback {
    margin-top: 30px;
    padding-top: 10px;
}

/* Write new comment
**************************************************************/
.comment-write {
    position: relative;
    padding: 15px 15px 10px 15px;
    background: #f2f2f2;
}
    /*.comment-write .capture-text {position: absolute;top:-99999px;left:-99999px;}*/
    .comment-write textarea,
    .comment-write input {
        margin-bottom: 10px;
        padding: 8px 10px;
        font-size: 16px;
    }

    .comment-write input {
        height: 38px;
    }

    .comment-write .form-validation {
        padding: 8px;
        color: #d00;
        border-radius: 3px;
        font-weight: 800;
        font-size: 12px;
    }

    .comment-write .error {
        border-color: #c00;
        outline: 0;
    }

        .comment-write .error:focus {
            box-shadow: 0 0 5px rgba(200,0,0,0.5);
        }

    .comment-write #submitComment {
        margin-bottom: 5px;
    }



/* List comments
**************************************************************/
.comment-list {
}

    /* button to show all comments if more than 4 */
    .comment-list .show-all {
        color: #337ab7;
        font-weight: 300;
        font-size: 13px;
        cursor: pointer;
        float: right;
        letter-spacing: 0
    }

    /* The list */
    .comment-list .comments {
        margin: 0;
        padding: 0;
        list-style: none;
    }

        .comment-list .comments li {
            position: relative;
            margin: 0 0 2px 0;
            padding: 15px 15px 15px 65px;
            background: #f2f2f2;
        }
            /* Hightlight moderator comments based on member id */
            .comment-list .comments li.moderator {
                box-shadow: inset 5px 0 0 0 #298ccd;
                background: #e4f1fa;
            }

                .comment-list .comments li.moderator p {
                    color: #298ccd;
                }

                .comment-list .comments li.moderator .comment-body p {
                    color: #444;
                }


        /* Comment */
        .comment-list .comments p {
            margin: 0;
            font-size: 16px;
            font-style: normal;
            line-height: 23px;
            color: #444;
        }

        .comment-list .comments .comment-date {
            opacity: 0.6;
        }

        /* Author image */
        .comment-list .comments li figure {
            width: 40px;
            height: 40px;
            margin: 0;
            border-radius: 20px;
            vertical-align: middle;
            overflow: hidden;
            display: inline-block;
            color: #fff;
            position: absolute;
            left: 15px;
            top: 15px;
        }

            .comment-list .comments li figure img {
                max-width: 100%;
            }
            /* Create icon for non-members */
            .comment-list .comments li figure.no-photo {
                background: #eee;
            }

                .comment-list .comments li figure.no-photo:before {
                    content: '\f2c0'; /*f2be*/
                    font-family: FontAwesome;
                    display: block;
                    width: 40px;
                    line-height: 40px;
                    text-align: center;
                    font-size: 20px;
                    -webkit-font-smoothing: subpixel-antialiased;
                }



/* Side functions (Share, Tags, Releated, Previous news)
    **************************************************************/
.post-details {
    padding-left: 30px;
    margin-top: 20px;
}

    .post-details section {
        margin-bottom: 40px;
    }

    .post-details h2 {
        margin: 0 0 10px 0;
    }



/* Share post *******************************************/
.post-share .btn-share {
    display: inline-block;
    width: 30px;
    height: 30px;
    border-radius: 2px;
    line-height: 30px;
    text-align: center;
    color: #fff;
}

.post-share .sb-social {
    display: inline-block;
}

.post-share .facebook {
    background: #3b5998;
}

.post-share .twitter {
    background: #1da1f2;
}

.post-share .rss {
    background: #f26522;
}

.post-share .link {
    background: #5f6a72;
}


+
/* Tags ***********************************************/


.post-tags {
    margin-top: 30px;
    padding-top: 10px;
}

.post-tags form label {
    font-size:16px;
    margin-bottom:5px;
    display: block;
}

    .post-tags form p:last-child {
        margin-bottom: 10px;
    }


.post-tags .tag {
    display: inline-block;
    margin: 0 2px 2px 0;
    padding: 3px 15px;
    background-color: #17bd80;
    border-radius: 2px;
    color: #fff;
    line-height: 30px;
    text-align: center;
    font-size: 15px;
    font-weight: 400;
    vertical-align: top;
}

    .post-tags .tag:hover {
        opacity: 0.85;
    }


/* Related / Previous News */
.post-group {
}

    .post-group .list-group-item {
        padding: 20px 40px 20px 20px;
        position: relative;
        overflow: hidden;
    }

        .post-group .list-group-item:hover {
            box-shadow: inset 5px 0 0 #298ccd;
            color: #298ccd;
        }

    .post-group h3 {
        margin: 0 0 5px 0;
    }

    .post-group p {
        margin: 0;
        overflow: hidden;
        height: 2.9em;
        line-height: 1.5em;
        font-size: 12px;
        position: relative;
    }
    /* Hover arrow icon > */
    .post-group .list-group-item:after {
        content: '\f105';
        display: block;
        color: #888;
        font-family: FontAwesome;
        font-size: 30px;
        position: absolute;
        top: 50%;
        right: 20px;
        margin-top: -8px;
        opacity: 0.4;
        transition: all 0.2s ease;
    }

    .post-group .list-group-item:hover:after {
        right: 15px;
        opacity: 1;
    }

/* iframe smarta...  */
.post-details iframe {
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    border: solid 1px #ddd;
    border-radius: 4px;
}

    .post-details iframe:hover {
        box-shadow: 0 5px 10px rgba(0,0,0,0.15);
    }


/* Grid listing - only bigger screen size */
@media (min-width: 601px) {

    /* Show (list|grid) buttons */
    .list-options .list-style {
        display: block;
    }

    /* Grid layout */
    .post-list.list-grid .post-item {
        width: 32%;
        display: inline-block;
        vertical-align: top;
        min-height: 220px;
        margin-bottom: 1em;
        margin-right: 2%;
    }

        .post-list.list-grid .post-item:hover {
            box-shadow: 0 2px 6px rgba(0,0,0,0.1);
        }
        /* Remove margin from every third item */
        .post-list.list-grid .post-item:nth-child(3n) {
            margin-right: 0;
        }
        /* Post thumbnail  */
        .post-list.list-grid .post-item figure {
            width: 100%;
            border: 0;
            display: block;
            border-bottom: solid 1px #ddd;
            position: relative;
            padding-bottom: 57%;
        }

            .post-list.list-grid .post-item figure img {
                transition: transform 1s ease;
                position: absolute;
                top: 0;
                left: 0;
                width: auto;
            }
            /* No post thumbnail avaliable */
            .post-list.list-grid .post-item figure.post-image-blank {
                padding-bottom: 51%;
            }

                .post-list.list-grid .post-item figure.post-image-blank img {
                    line-height: 130px;
                }

        /* Post title */
        .post-list.list-grid .post-item .post-title {
            padding: 10px;
            display: block;
        }

    #svlag-blog .post-list.list-grid .post-item .post-title h1 {
        min-height: 3.6em;
        font-size: 18px !important;
        line-height: 1.33;
        font-weight: 600;
    }
    /* Remove hover arrow in grid mode.  */
    .post-list.list-grid .post-item .post-title:after {
        content: '';
    }
}





/* Responsive */
@media (max-width: 991px) {

    

    /* Count badge */
    #svlag-blog .sub-menu.open .badge {
        display: block;
    }

    .post-list.list-grid .post-item .post-meta span {
        display: block;
        margin: 0;
    }

    /* Sidebar */
    .post-details {
        padding: 40px 10px 0 10px;
        margin: 20px -20px 0;
        border-top: solid 1px #ddd;
    }

        .post-details section {
            padding: 0 15px 40px 15px;
            border-bottom: solid 1px #ddd;
        }

        .post-details .list-group {
            margin: 0;
        }
}


/* Smaller devices  */
@media (max-width: 600px) {


    .blog-card {
        margin-left: -15px;
        margin-right: -15px;
        padding: 0px 15px 30px 15px;
        border-left: none;
        border-right: none;
        border-radius: 0px;
        border:0;

    }

        .blog-card.post {
            margin-top:0;
        }

    .blog-card h1 {
        font-size: 22px;
    }

        .blog-card .post-meta {
            font-size: 14px;
        }

        .blog-card .post-text {
            font-size: 16px;
            line-height: 1.6em;
        }

        .blog-card .post-text table {
            width:100% !important;
        }

    .comment-list .comments p {
        font-size: 15px;
    }



    /* Post Image */
    .post .post-image {
        margin: 0px -15px 30px -15px;
    }

        .post .post-image em {
            padding: 10px 15px;
        }

        .post .post-image img {
            border-radius: 0px;
        }

    /* Post Meta: date + # comments */
    .post-list.list-grid .post-item .post-meta span {
        display: inline-block;
        margin-right: 15px;
    }

    /* Post list grid */
    .list-options .list-style {
        display: none;
    }

    /* List posts */
    .post-list .post-item {
        margin-bottom: 30px;
    }

        .post-list .post-item figure {
            display: block;
            width: 100%;
        }

            .post-list .post-item figure img {
                width: 100%;
                max-width: 100%;
            }

        .post-list .post-item .post-title {
            padding: 15px;
        }

    .post-list .post-title:after {
        content: ''; /*remove hover arrow*/
    }

    /* View post */
    #svlag-blog .post-list .post-item h1 {
        font-size: 18px;
    }


    /* post-feedback */
    .comment-list .comments,
    .comment-write {
        margin: 0 -15px;
    }

    .comment-list .show-all {
        display: block;
        float: none;
        margin-top: 5px;
    }

    .comment-list .comments li {
        padding-left: 70px;
    }

        .comment-list .comments li figure {
            left: 20px;
        }

    .comment-list .comments .comment-date {
        display: block;
        font-size: 11px;
    }
}
